@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap");

.imageContent {
  width: 100%;
  height: auto;
}

.hidden {
  opacity: 0;
  transition: all 1s;
  transform: translateX(-100%);
  filter: blur(20px);
}

.show {
  opacity: 1;
  transition: all 1s;
  transform: translateX(0);
  filter: blur(0);
}

@media (prefers-reduced-motion) {
  .hidden {
    transition: none;
  }
}

.normalText {
  font-family: "Roboto", sans-serif;
}

.marked {
  padding: 0 2px;
  color: #0aac05c5;
  cursor: pointer;
}

.marked:hover {
  color: white;
  transition: all 0.5s ease-in-out;
}

.imageContent:hover {
  scale: 1.1;
  transition: all 0.3s;
  box-shadow: 0px 0px 30px #033f01c5;
  cursor: pointer;
}

header {
  background-color: #0aac05c5;
  display: flex;
  align-items: center;
  height: fit-content;
  justify-content: center;
  padding: 2vh;
}

.goToAction {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 5vh 0;
  width: 100%;
  height: fit-content;
  gap: 3vh;
  background-color: #3e4095;
}

.content-title {
  display: flex;
  justify-content: center;
  width: 100%;
}

.content-title-text {
  padding: 0 4vw;
  width: 100%;
  font-size: 40px;
  font-family: "Roboto", sans-serif;
  text-align: center;
  font-weight: 700;
  color: white;
}

.content-subtitle-text {
  color: white;
  font-family: "Roboto", sans-serif;
  font-size: 20px;
  text-align: center;
}

.submit {
  background-color: #0aac05c5;
  border: none;
  color: white;
  border-radius: 15px;
  font-size: 24px;
  padding: 20px;
}

.submit:hover {
  background-color: #3e4095;
  transition: 1s;
  cursor: pointer;
}

.aboutUs {
  display: flex;
  justify-content: space-evenly;
  flex-direction: column;
  gap: 10px;
  padding: 0 4vw;
  align-items: flex-start;
  background-color: white;
  padding: 4vh;
  height: fit-content;
}

.aboutUs-text-content {
  display: flex;
  flex-direction: column;
  gap: 16px;
  font-size: 24px;
  color: rgb(13, 66, 62);
}

.aboutUs-title-Text {
  font-size: 36px;
  font-weight: 700;
  color: rgb(7, 31, 29);
  text-align: center;
  cursor: pointer;
}

.aboutUs-title-Text:hover {
  color: #058801c2;
  transition: 0.25s;
}

.aboutUs-text {
  text-align: justify;
}

.goToSite {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 300px;
  background-repeat: no-repeat;
  background-size: auto;
  background-position: center center;
  flex-direction: column;
  background-color: #058801c2;
}

.portfolio {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  width: 100%;
  text-align: center;
  height: 100%;
  font-size: 38px;
  font-family: "Roboto", sans-serif;
  font-weight: 700;
  color: white;
  gap: 16px;
}

.goToSite-button {
  color: white;
  padding: 16px;
  border: none;
  font-size: 24px;
  font-weight: 600;
  border-radius: 10px;
  cursor: pointer;
  background-color: transparent;
  border: 2px solid white;
}

.goToSite-button:hover {
  color: rgb(7, 31, 29);
  background-color: white;
  transition: 0.25s;
}

.questionReward {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  min-height: fit-content;
  padding: 64px 0;
  background: url("./../public/moveisRusticos/bg1.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-attachment: fixed;
}

.questionRewardContent {
  color: white;
  font-size: 32px;
  font-family: "Roboto", sans-serif;
  font-weight: 800;
  text-shadow: 5px 5px 15px rgb(1, 20, 1);
}

.reward {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  min-height: fit-content;
  background-color: #3e4095;
}

.rewardContent {
  display: flex;
  width: 100%;
  flex-direction: column;
  color: white;
  font-size: 32px;
  font-family: "Roboto", sans-serif;
  font-weight: 800;
  text-shadow: 5px 5px 15px rgb(1, 20, 1);
}

.rewardContentMain {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.rewardImages {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 32px;
}

.rewardTitle {
  font-size: 36px;
  font-weight: 700;
  color: white;
}

.rewardTitle:hover {
  color: #f1f1f1;
  cursor: pointer;
}

.rewardTexts {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 32px;
  gap: 16px;
}

.rewardText {
  font-size: 24px;
  font-weight: 400;
  text-align: center;
}

.rewardGoToForm {
  font-size: 24px;
  border: 2px solid white;
  padding: 16px;
  border-radius: 10px;
}

.rewardGoToForm:hover {
  font-size: 24px;
  border: 2px solid white;
  padding: 16px;
  background-color: white;
  color: #3e4095;
  border-radius: 10px;
  text-shadow: 0px 0px 0px rgb(1, 20, 1);
}

.form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: #f1f1f7;
  font-size: 24px;
  font-family: "Roboto", sans-serif;
  gap: 16px;
  padding: 48px 0;
}

.formTitle {
  font-size: 38px;
  padding: 24px 0;
  font-weight: 700;
  text-align: center;
}

.formText{
  font-size: 24px;
  text-align: center;
  font-weight: 400;
  color: rgb(112, 112, 112);
  padding: 16px 0 0 0;
}

.formContent {
  display: flex;
  flex-direction: column;
  gap: 24px;
  padding: 24px 0;
  background-color: #3e4095;
  color: white;
  font-weight: 600;
  border-radius: 20px;
  padding: 32px;
}

.formContent > input {
  padding: 12px 24px;
  border: none;
  box-shadow: 0px 0px 12px #b4c7b4c5;
  border-radius: 4px;
  font-size: 18px;
}

.formContent > input:focus {
  scale: 1.1;
  transition: all 0.25s ease-in-out;
}

.submitForm {
  font-size: 24px;
  margin-top: 16px;
  padding: 16px;
  background-color: #3e4095;
  color: white;
  font-weight: 600;
  border: none;
  border-radius: 10px;
  border: 1px solid white;
}

.submitForm:hover {
  background-color: white;
  color: #3e4095;
  transition: all 0.25s ease-in-out;
  cursor: pointer;
}

.rodape{
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: "Roboto", sans-serif;
  padding: 28px;
  border: none;
  background-color: #0aac05c5;
}

.rodapeContainer{
  display: flex;
  flex-direction: column;
  gap: 16px;
  font-size: 20px;
  color: white;
}

.footerCol > h5 {
  padding: 8px 0;
  font-size: 24;
  font-weight: 600;
}

#moveisRusticos{
  height: auto;
  width: 100%;
  margin: 0 48px;
}

.indiqueGanheLogo{
  height: fit-content;
  width: fit-content;
  max-height: 50vh;
  max-width: 75vw;
}

@media (min-width: 1080px) {
  .show {
    transition: all 2s ease-in-out;
  }

  .hidden {
    transition: all 2s ease-in-out;
  }
  .content-title-text {
    width: 47%;
    font-size: 44px;
  }

  .content-subtitle-text {
    font-size: 28px;
  }

  .aboutUs {
    flex-direction: row-reverse;
    padding: 36px 48px;
    height: fit-content;
    justify-content: center;
    align-items: center;
  }

  .aboutUs-title-Text{
    text-align: left;
  }

  .aboutUs-text-content {
    width: 60%;
    height: fit-content;
    padding: 24px 48px 24px 0;
  }

  .aboutUs-image {
    display: flex;
    flex-direction: column;
    width: 40%;
    height: fit-content;
    gap: 16px;
    justify-content: center;
    align-items: center;
  }

  .imageContent {
    width: 60%;
  }

  .rewardContent {
    padding: 64px 48px;
  }

  .rewardContentMain {
    flex-direction: row-reverse;
    justify-content: space-evenly;
  }

  .rewardTexts {
    text-align: left;
    align-items: flex-start;
    gap: 32px;
  }

  .rewardText {
    font-size: 24px;
    font-weight: 500;
    text-align: left;
  }

  .rewardImages {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 32px 0;
  }

  .formContent {
    width: 40%;
    padding: 52px;
  }

  .rodape{
    flex-direction: row;
  }
  .rodapeContainer{
    flex-direction: row;
    justify-content: space-evenly;
    width: 100%;
    padding: 16px 48px;
  }

  #reverse-row{
    flex-direction: row;
  }

  #moveisRusticos{
    min-width: 400px;
    max-width: 600px;
    margin: 0 48px;
  }
}

.disclaimer{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  background-color: #f1f1f7;
  padding: 24px;
  font-weight: 600;
  font-size: 16px
}

